org.eclipse.jetty.webapp

## Class DiscoveredAnnotation

- java.lang.Object
- - org.eclipse.jetty.webapp.DiscoveredAnnotation

Direct Known Subclasses:
  WebFilterAnnotation, WebListenerAnnotation, WebServletAnnotation

    public abstract class DiscoveredAnnotation
    extends Object

DiscoveredAnnotation Represents an annotation that has been discovered by scanning source code of WEB-INF/classes and WEB-INF/lib jars.

### Field Summary

Fields
`protected String` `_className`
`protected Class<?>` `_clazz`
`protected WebAppContext` `_context`
`protected Resource` `_resource`

### Constructor Summary

Constructors
Constructor and Description
`DiscoveredAnnotation(WebAppContext context, String className)`
`DiscoveredAnnotation(WebAppContext context, String className, Resource resource)`

### Method Summary

Methods
`abstract void` `apply()`
`Resource` `getResource()`
`Class<?>` `getTargetClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _context

    protected WebAppContext _context

#### _className

    protected String _className

#### _clazz

    protected Class<?> _clazz

#### _resource

    protected Resource _resource

### Constructor Detail

#### DiscoveredAnnotation

    public DiscoveredAnnotation(WebAppContext context,
                        String className)

#### DiscoveredAnnotation

    public DiscoveredAnnotation(WebAppContext context,
                        String className,
                        Resource resource)

### Method Detail

#### apply

    public abstract void apply()

#### getResource

    public Resource getResource()

#### getTargetClass

    public Class<?> getTargetClass()